> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/pt-br/desenvolver/avancado/trabalhar-com-nfts/preparar-arquivos-nft.md).

# Preparar os arquivos de NFT

Preparar os arquivos para seu projeto NFT envolve duas partes distintas:

* o ativo visual (o que o usuário vê)
* os metadados (o que o blockchain lê)

## Os ativos visuais

Esta é a arte que você quer transformar em NFTs.

Você (ou sua equipe de design) deve produzir os arquivos com estas especificações:

### Formato

* Imagens estáticas: Use PNG (preferido para qualidade) ou JPG.
* Vídeo: Use MP4.\
  \&#xNAN;*Se tiver um vídeo, crie também uma imagem estática como "thumbnail" para carregamento mais rápido.*
* Objetos 3D: Use GLB ou GLTF.

### Dimensões (Proporção)

Normalmente, os NFTs usam:

* Formato quadrado: 1080 x 1080 pixels.
* Formato vertical (Telefone/Stories): 1080 x 1920 pixels.

### Tamanho do Arquivo

Tente manter os arquivos abaixo de 25MB (idealmente <10MB) para carregamento rápido em carteiras móveis.

{% hint style="info" %}

#### Dica Pro

Crie um arquivo "Master" em alta resolução (100MB+), mas não o use como imagem principal do NFT. Em vez disso, use o recurso "[Unlockable Content](https://help.rarible.com/hc/en-us/articles/10460251328653-What-is-unlockable-content)" para fornecer o arquivo Master apenas ao proprietário.
{% endhint %}

## Os metadados

O blockchain não armazena sua imagem diretamente (é caro demais). Ele armazena um link para um arquivo de texto no formato JSON, o que significa que os arquivos JSON só podem ser criados depois que os arquivos visuais estiverem efetivamente hospedados.

{% hint style="info" %}
A maioria das ferramentas modernas fará isso por você, poupando-o de ter que fazer tudo manualmente.
{% endhint %}

Deve haver um arquivo JSON para cada tipo de NFT na sua coleção (ex.: um JSON para "NFT 1", um para "NFT 2", etc.).

Aqui está um exemplo de arquivo JSON de NFT:

```json
{
  "name": "Mark Whaleon - 2024/25 Season",
  "description": "The official Striker card for Team X, 2024/25 Season. Gold Tier.",
  "image": "ipfs://YOUR_IMAGE_IPFS_ID_GOES_HERE",
  "external_url": "https://example.com/players/whaleon",
  "attributes": [
    {
      "trait_type": "Position",
      "value": "Striker"
    },
    {
      "trait_type": "Jersey Number",
      "value": "10"
    },
    {
      "trait_type": "Season",
      "value": "2024/2025"
    },
    {
      "trait_type": "Rarity",
      "value": "Gold"
    },
    {
      "display_type": "number",
      "trait_type": "Goals Scored",
      "value": 15
    }
  ]
}
```

{% hint style="info" %}
Os atributos são cruciais para cards relacionados a esportes. Eles permitem que os fãs filtrem por "Position", "Season" ou "Rarity" nos marketplaces.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/pt-br/desenvolver/avancado/trabalhar-com-nfts/preparar-arquivos-nft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
